Bug 133814 - Dual head needs option to set RightOf or LeftOf and X,Y Offset
Dual head needs option to set RightOf or LeftOf and X,Y Offset
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
:
: 141502 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-27 13:52 EDT by Chris Rainey
Modified: 2008-04-04 18:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 18:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Rainey 2004-09-27 13:52:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040926
Firefox/0.10

Description of problem:
Dual head needs option to set RightOf or LeftOf and X,Y Offset.  I
have a main CRT in front of me and a LCD to the LeftOf the main.  The
Dual Head config gui does not let me specify which screen is which and
where they are relative to each other.  Additionally, the LeftOf LCD
is slightly behind and rotated to face me better which makes the
pointer seem to move 'up/down' as it tracks between the two screens. 
If you have access to a Windoze XP box, you can see that the dual head
configuration(built-in to XP 'Display Properties') allows you to
'drag' the screens around each other on a X,Y axis in order to correct
the slight variances of the space/tilt/rotation of the two screens as
they are physically oriented on the physical desk surface.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  RawHide(09/26/04) installed
2.  'Firstboot' gui must be run manually(!?)
3.  Attempt to set Dual Head using system-config-display
    

Actual Results:  I had to manually edit xorg.conf to set "Screen0"
RightOf "Screen1".  Not sure how to set X,Y offset, but I believe I've
seen the option in the man pages.

Expected Results:  Ability to set dual head orientation after
identifying which screen is 0 and which is 1 by use of the gui config
tool.

Additional info:

Only tool I've seen with better dual head gui set-up, in Linux, is
Sax2 in Suse 9.1.
Comment 1 Andrew D. Stadler 2004-10-19 00:59:03 EDT
Although it would be great to have the full x/y setup, PLEASE add left/right setup ASAP, 
it ought to be easy to add, and it would be a tremendous improvement for those of us with 
our 2nd screen to the left of our main screen.
Comment 2 Adam Jackson 2006-03-03 10:33:16 EST
Mass update: move dual head bugs from FC5 to FC6, no way they can get fixed
before FC5 release at this point.
Comment 3 Matthias Clasen 2006-07-06 18:00:51 EDT
Add to FC6Destop tracker
Comment 4 Ray Strode [halfline] 2006-07-24 13:55:03 EDT
Hi, feature freeze for fc6 is today, so we're going to have to punt for now. 
Hopefully in the feature will get away from system-config-display entirely and
come up with a much better long term solution.

Removing from tracker.
Comment 5 Andrew D. Stadler 2006-12-08 18:33:03 EST
Adding a simple left/right checkbox seems like a fairly easy fix with a high
useability payback.  Any reason not to ask for this in FC7 ?
Comment 6 Adam Jackson 2007-04-03 14:17:58 EDT
*** Bug 141502 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2008-04-03 11:40:10 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 8 Andrew D. Stadler 2008-04-03 12:24:41 EDT
Unfortunately I am no longer using Fedora, I have a new job and they have standardized on Ubuntu here.

As far as I know (I think I was using FC6 when I finished the old job) all of the notes in here were still 
valid.  But I have not used FC7+.

Thanks anyway and good luck!

Comment 9 John Poelstra 2008-04-04 18:51:28 EDT
Thanks for your update

Note You need to log in before you can comment on or make changes to this bug.